<?php

/**
 * @file
 * Hook documentation for Commerce Secupay Payments.
 */

use Drupal\commerce_order\Entity\OrderInterface;
use Drupal\profile\Entity\ProfileInterface;
use Secupay\Sdk\Model\AddressCreate;

/**
 * Allows to alter the created address from the given profile and order.
 *
 * @param \Secupay\Sdk\Model\AddressCreate $address
 *   The Secupay address object.
 * @param \Drupal\profile\Entity\ProfileInterface $profile
 *   The profile.
 * @param \Drupal\commerce_order\Entity\OrderInterface $order
 *   The order.
 */
function hook_commerce_secupay_payments_address_alter(AddressCreate $address, ProfileInterface $profile, OrderInterface $order) {
  $address->setSalutation($profile->get('field_salutation')->value);
}
